> For the complete documentation index, see [llms.txt](https://docs.hedge.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hedge.video/editready-server.md).

# EditReady Server

EditReady Server enables headless workflows for tasks such as automated ingest and proxy generation for asset managers.

{% hint style="info" %}
EditReady Server supports [the same formats as EditReady](/editready/supported-formats.md), and the same [API calls](/editready/automation.md).
{% endhint %}

## How to use

1. Download [EditReady Server](https://hedge.video/download/editready-server/macos)
2. Activate with your EditReady Server license key (or use the trial mode)
3. Run your CLI commands

## Trial

Using EditReady Server unlicensed is limited to transcoding the first minute of each clip. Reach out to <sales@hedge.video> for a free 10-day trial license.

## Activation

{% code lineNumbers="true" %}

```
/Applications/EditReady\ Server.app/Contents/MacOS/EditReady\ Server --registration XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XXXX
```

{% endcode %}

(De)activation can be managed in the [License Manager](https://account.hedge.video/).

## Commands

{% hint style="info" %}
You must have a logged-in user session to use EditReady Server.&#x20;
{% endhint %}

<pre><code>/Applications/EditReady\ Server.app/Contents/MacOS/EditReady\ Server -h
<strong>    
</strong>Usage: /Applications/EditReady Server.app/Contents/MacOS/EditReady Server
    -r, --registration               Registration string

    -s, --sourceFile                 Path to source file(s)
    -d, --destFile                   Path to output folder
    -p, --preset                     Path to preset file
    -m, --metadataDestination        Path for metadata output
    -a, --aleDestination             Path for ALE file output
    -k, --normalizeMetadataKeys      Use display names for metadata keys
    -i, --clipIndexerDestination     Path for clip indexing and span detection json output

    -t, --generateThumbs             Create thumbnails
    -x, --thumbSize                  Max dimension for thumbnails (default 320)
    -v, --thumbInterval              Min time between thumbnails (seconds)
    -c, --thumbCount                 Max thumbnail count
    -7, --rec709                     Apply rec709 transform to thumbnail

    -l, --logginglevel               Logging level {error/warning/info} (default error)
    -I, --iconik                     Enable iconik-specific multichannel AAC handling for CLI conversions
    -h, --help                       Show this help message. Visit https://hedge.video/app/editready/server for more info.
</code></pre>

## Convert Media

```bash
/Applications/EditReady\ Server.app/Contents/MacOS/EditReady\ Server \
--sourceFile '$FileOrFolderPath' \
--destFile '$folderPath' \
--preset '/Applications/EditReady Server.app/Contents/Resources/Apple ProRes 422 (proxy).erpreset'
```

{% hint style="info" %}
It's possible to use multiple -s flags in one command.
{% endhint %}

**Progress Example**

{% code overflow="wrap" %}

```bash
STATUS: {"clip": "/Volumes/DRIVE-12TB/_BLACKMAGIC/A001_10031156_C006.braw", "action": "transcode", "destination": "/path/to/destinationFolder", "progress": "0.0000234"}
```

{% endcode %}

## **Additional Options**

EditReady Server includes many [additional options](/editready/converting-media/additional-features.md) that can be used via the command-line interface (CLI) when configured in a preset.

To save a preset with additional options:

1. Open EditReady Server.
2. In the sidebar, configure the additional options.
3. From the menu bar, go to `Batch` > `Save Current Preset` .&#x20;

The preset will be saved to: `~/Library/Application Support/EditReady` and can be referenced by using the `-p, --preset` flag.

## **Extract MetaData**

```
/Applications/EditReady\ Server.app/Contents/MacOS/EditReady\ Server \
--sourceFile '$FileOrFolderPath' \
--metadataDestination '$JSONfilePath.'
```

**Metadata JSON example**

```xml
{
  "format" : "BRAW",
  "timecode" : {
    "drop" : false,
    "frameRate" : {
      "value" : 1001,
      "seconds" : 0.041708331555128098,
      "timescale" : 24000
    },
    "string" : "11:55:35:06",
    "frameCount" : 1030446
  },
  "destinationPath" : "\/Users\/Hedge\/Downloads\/A001_10031156_C006.mov",
  "clipName" : "A001_10031156_C006",
  "duration" : {
    "value" : 130130,
    "seconds" : 5.4220833778381348,
    "timescale" : 24000
  },
  "metaData" : {
    "clip_number" : "A001_10031156_C006",
    "exposure" : "0",
    "file.sourceName" : "A001_10031156_C006",
    ... >> etc
  },
  "audioTracks" : [
    {
      "duration" : {
        "value" : 260260,
        "seconds" : 5.4220833778381348,
        "timescale" : 48000
      },
      "codec" : "Uncompressed (PCM) 2 Channel 24 Bit Signed Integer",
      "timescale" : 48000,
      "fourCC" : "lpcm"
    }
  ],
  "filePath" : "\/Users\/Hedge\/Movies\/A001_10031156_C006.braw",
  "videoTracks" : [
    {
      "fourCC" : "BRAW",
      "displaySize" : {
        "width" : 7680,
        "height" : 4320
      },
      "frameRate" : {
        "value" : 1001,
        "seconds" : 0.041708331555128098,
        "timescale" : 24000
      },
      "codec" : "Blackmagic RAW",
      "duration" : {
        "value" : 130130,
        "seconds" : 5.4220833778381348,
        "timescale" : 24000
      },
      "encodedSize" : {
        "width" : 7680,
        "height" : 4320
      },
      "timescale" : 24000
    }
  ]
}
```

## Generating Stills

```bash
/Applications/EditReady\ Server.app/Contents/MacOS/EditReady\ Server \
--sourceFile '$filePath' \
--destFile '$folderPath' \
--generateThumbs \
--thumbSize 1024 \
--thumbInterval 1
```

```bash
/Applications/EditReady\ Server.app/Contents/MacOS/EditReady\ Server \
--sourceFile '$filePath' \
--destFile '$folderPath' \
--generateThumbs \
--thumbSize 1024 \
--thumbCount 3
```

## Releases

{% content-ref url="/pages/JZrfyIJI1mKgVvdWRx9i" %}
[Releases](/editready-server/releases.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hedge.video/editready-server.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
